package com.chy.borrow.config;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TestData {

    public static List<Map> list = new ArrayList<>();
    static {
        Map map = new HashMap();
        map.put("projectCode","bh2022010001");
        map.put("projectUnit","上海机场(集团)有限公司");
        map.put("projectName","上海机场地理信息共享服务平台");
        map.put("projectUser","张峰");
        map.put("projectOffice","信息中心");
        list.add(map);
        Map map1 = new HashMap();
        map1.put("projectCode","bh2022010002");
        map1.put("projectUnit","上海机场(集团)有限公司");
        map1.put("projectName","上海机场地理信息共享服务平台");
        map1.put("projectUser","张峰");
        map1.put("projectOffice","信息中心");
        list.add(map1);
        Map map2 = new HashMap();
        map2.put("projectCode","bh2022010003");
        map2.put("projectUnit","上海机场(集团)有限公司");
        map2.put("projectName","上海机场地理信息共享服务平台");
        map2.put("projectUser","张峰");
        map2.put("projectOffice","信息中心");
        list.add(map2);
        Map map3 = new HashMap();
        map3.put("projectCode","bh2022010004");
        map3.put("projectUnit","上海机场(集团)有限公司");
        map3.put("projectName","上海机场地理信息共享服务平台");
        map3.put("projectUser","张峰");
        map3.put("projectOffice","信息中心");
        list.add(map3);
    }

    public static Map getProjectInfo(String code){
        for (int i = 0; i < list.size(); i++) {
            if (list.get(i).get("projectCode").equals(code)){
                return list.get(i);
            }
        }
        return null;
    }
}
